/*
 * SI4735h.h
 *
 * Created: 17.06.2012 13:59:15
 *  Author: Ingo & Savas
 */ 
#include "i2c.h"

/* Sonstiges */
#define CONTROLBYTE_READ		0x23

/* POWER ON */
#define CONTROLBYTE_WRITE		0x22
#define POWER_UP				0x01
#define SET_OSC_CRYSTAL			0x10
#define SET_ANALOG_OUT			0x05

/* POWER OFF */
#define CONTROLBYTE_WRITE		0x22
#define POWER_DOWN				0x11

/* AM Mode */
#define CONTROLBYTE_WRITE		0x22
#define AM_TUNE_FREQ			0x40
#define SET_FREQ_DUMMY			0x00


/* FM Mode */
#define CONTROLBYTE_WRITE		0x22
#define FM_TUNE_FREQ			0x20
#define SET_FREQ_DUMMY			0x00

/* MODIFIKATIONEN */

#define SET_PROPERTY			0x12
#define GET_PROPERTY			0x13
#define FM_RSQ_STATUS			0x23
#define FM_RDS_STATUS			0x24
#define AM_RSQ_STATUS			0x43

/* RDS */

#define RDS_INT_SOURCE			0x15

/* Sendefrequenzen */
#define RTL						8900
#define JUMP					9140
#define NDR2					9210
#define SAW						10140
#define FFN						10240
#define ANTENNE					10630
#define bigfm					10400
#define SWR3					9160


												